﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using IntroductionToValidationInMVCApplication.Models;

namespace IntroductionToValidationInMVCApplication.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult New()
        {
            var dataAccess = new DataAccess();

            ViewData["Countries"] = dataAccess.GetCountries().ToSelectList("Name", "Name"); 

            var customerViewModel = new CustomerViewModel()
                                        {
                                          
                                        };

            return View(customerViewModel);
        }

        [HttpPost]
        public ActionResult Register(CustomerViewModel viewModel)
        {
            var dataAccess = new DataAccess();

            ViewData["Countries"] = dataAccess.GetCountries().ToSelectList("Name", "Name"); 

            var customerViewModel = new CustomerViewModel(); 

            return View("New",customerViewModel); 
        }
    }
}
