﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using IntroductionToValidationInMVCApplication.CustomValidations;

namespace IntroductionToValidationInMVCApplication.Models
{
    public class Customer
    {
        [Required(ErrorMessage = "First Name is required")]
        public string FirstName { get; set;  }

        [Required(ErrorMessage = "Last Name is required")]
        public string LastName { get; set;  }

        [Required(ErrorMessage = "Age is required!")]
        [Age(ErrorMessage = "Age is incorrect!")]
        public int Age { get; set; }
    }
}